2023-01-29 00:03 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004064Spring engineGeneralpublic2013-11-28 19:46
ReporterLeggir 
Assigned ToKloot 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
Product Version95.0 
Target Version96.0Fixed in Version 
Summary0004064: Hitting side buttons on mouse causes OOM after some time
DescriptionMost modern mice have side buttons that by default are used to go forward or back on webpages and some other functions. Hitting any of these buttons within a game will instantly cause spring to crash.
Steps To Reproduce-Start a game (multiplay or single).
-Play for 5 minutes, as it often doesn't do this immediately after starting up.
-Press any of the side buttons.
-"Spring has Crashed"
Additional InformationIt does this on several computers, all running Windows 7. Each PC has a different mouse including, Saitek V300 Gaming Mouse, Logitech Laser Mouse, Microsoft Office Mouse.
TagsNo tags attached.
Checked infolog.txt for Errors
Attached Files
  • txt file icon infolog.txt (40,727 bytes) 2013-10-15 09:07 -
    Using configuration source: "C:\Users\Leggir\AppData\Local\springsettings.cfg"
    [CMyMath::Init] CPU SSE mask: 124, flags:
    	SSE 1.0:  1,  SSE 2.0:  1
    	SSE 3.0:  1, SSSE 3.0:  1
    	SSE 4.1:  0,  SSE 4.2:  0
    	SSE 4.0A: 0,  SSE 5.0A: 0
    	using streflop SSE FP-math mode, CPU supports SSE instructions
    OS: Microsoft Windows
    Microsoft Windows 7 Ultimate Edition, 64-bit Service Pack 1 (build 7601)
    Intel(R) Core(TM)2 Quad CPU    Q6600  @ 2.40GHz; 8191MB RAM, 12285MB pagefile
    OS: emulated 32bit mode
    [Watchdog] Installed (HangTimeout: 10sec)
    Available log sections: KeyBindings, CSMFGroundTextures, RoamMeshDrawer, BumpWater, DynWater, SkyBox, DecalsDrawerGL4, FarTextureHandler, Model, Piece, ModelDrawer, OBJParser, WorldObjectModelRenderer, Shader, Texture, Font, GroundMoveType, Path, UnitScript, AutohostInterface, CregSerializer, ArchiveScanner, VFS, Sound, LuaSocket
    Enabled log sections: Sound(LOG_LEVEL_INFO)
    Enable or disable log sections using the LogSections configuration key
      or the SPRING_LOG_SECTIONS environment variable (both comma separated).
      Use "none" to disable the default log sections.
    LogOutput initialized.
    Spring 94.1 (OMP)
    Build date/time: Mar 26 2013 00:28:09
    Build environment: boost-105000, GNU libstdc++ version 20120920
    Compiler: gcc-4.7.2
    Using read-write data directory: C:\Program Files (x86)\Spring\
    Using read-only data directory: C:\Users\Leggir\Documents\My Games\Spring\
    Scanning: C:\Users\Leggir\Documents\My Games\Spring\maps
    Error: Error opening C:\Users\Leggir\Documents\My Games\Spring\maps\Battle_Lines-v01.sd7: Archive not found
    Unable to open archive: C:\Users\Leggir\Documents\My Games\Spring\maps\Battle_Lines-v01.sd7
    Error: Error opening C:\Users\Leggir\Documents\My Games\Spring\maps\Tuckedup_16x12_003.sd7: Unexpected end of file (truncated?)
    Unable to open archive: C:\Users\Leggir\Documents\My Games\Spring\maps\Tuckedup_16x12_003.sd7
    Error: Error opening C:\Users\Leggir\Documents\My Games\Spring\maps\Typhoon_Islandsv4.sd7: Unexpected end of file (truncated?)
    Unable to open archive: C:\Users\Leggir\Documents\My Games\Spring\maps\Typhoon_Islandsv4.sd7
    Error: Error opening C:\Users\Leggir\Documents\My Games\Spring\maps\unified_battlefield_v1.sd7: Unexpected end of file (truncated?)
    Unable to open archive: C:\Users\Leggir\Documents\My Games\Spring\maps\unified_battlefield_v1.sd7
    Error: Error opening C:\Users\Leggir\Documents\My Games\Spring\maps\VaubanFortress.sd7: Unexpected end of file (truncated?)
    Unable to open archive: C:\Users\Leggir\Documents\My Games\Spring\maps\VaubanFortress.sd7
    Scanning: C:\Users\Leggir\Documents\My Games\Spring\games
    Scanning: C:\Users\Leggir\Documents\My Games\Spring\mods
    Scanning: C:\Users\Leggir\Documents\My Games\Spring\packages
    Scanning: C:\Program Files (x86)\Spring\maps
    Scanning: C:\Program Files (x86)\Spring\base
    Scanning: C:\Program Files (x86)\Spring\games
    Supported Video modes: 1920x1080, 1776x1000, 1680x1050, 1600x900, 1440x900, 1400x1050, 1366x768, 1360x1024, 1360x768, 1280x1024, 1280x960, 1280x800, 1280x768, 1280x720, 1152x864, 1152x648, 1024x768, 800x600, 720x576, 720x480, 640x480
    Video mode set to 1920x1080/32bit
    [f=0000000] SDL version:  1.2.10
    [f=0000000] GL version:   4.2.12217 Compatibility Profile Context 12.104.0.0
    [f=0000000] GL vendor:    ATI Technologies Inc.
    [f=0000000] GL renderer:  AMD Radeon HD 6800 Series
    [f=0000000] GLSL version: 4.20
    [f=0000000] GLEW version: 1.5.8
    [f=0000000] Video RAM:    unknown
    [f=0000000] GL info:
    	haveARB: 1, haveGLSL: 1, ATI hacks: 1
    	FBO support: 1, NPOT-texture support: 1, 24bit Z-buffer support: 0
    	maximum texture size: 16384, compress MIP-map textures: 0
    	maximum SmoothPointSize: 63, maximum vec4 varying/attributes: 32/29
    	maximum drawbuffers: 8, maximum recommended indices/vertices: 16777215/2147483647
    	number of UniformBufferBindings: 75 (64kB)
    [f=0000000] VSync disabled
    [f=0000000] Joysticks found: 0
    [f=0000000] Warning: Joystick 0 not found
    [f=0000000] CPU Cores: 4
    [f=0000000] Loading startscript from: C:\Program Files (x86)\Spring\script.txt
    [f=0000000] Connecting to local server
    [f=0000000] Binding UDP socket to IP (v6) :: port 8452
    [f=0000000] [UDPListener] successfully bound socket on port 8452
    [f=0000000] PreGame::StartServer: 11 ms
    [f=0000000] Using map: Charlie in the Hills v2.1
    [f=0000000] Using game: Tech Annihilation v2.21.2
    [f=0000000] [Sound] OpenAL info:
    [f=0000000] [Sound]   Available Devices:
    [f=0000000] [Sound]               DirectSound Software
    [f=0000000] [Sound]   Device:     DirectSound Software
    [f=0000000] [Sound]   Vendor:         OpenAL Community
    [f=0000000] [Sound]   Version:        1.1 ALSOFT 1.11.753
    [f=0000000] [Sound]   Renderer:       OpenAL Soft
    [f=0000000] [Sound]   AL Extensions:  AL_EXTX_buffer_sub_data AL_EXT_EXPONENT_DISTANCE AL_EXT_FLOAT32 AL_EXT_IMA4 AL_EXT_LINEAR_DISTANCE AL_EXT_MCFORMATS AL_EXT_OFFSET AL_EXTX_sample_buffer_object AL_EXT_source_distance_model AL_LOKI_quadriphonic
    [f=0000000] [Sound]   ALC Extensions: ALC_ENUMERATE_ALL_EXT ALC_ENUMERATION_EXT ALC_EXT_CAPTURE ALC_EXT_disconnect ALC_EXT_EFX ALC_EXTX_thread_local_context
    [f=0000000] [Sound]   EFX Enabled: yes
    [f=0000000] [Sound]   Max Sounds: 128
    [f=0000000] Using game archive: tech_annihilation-v2.21.2.sdz
    [f=0000000] recording demo: demos/20131015_002324_Charlie in the Hills v2_94.sdf
    [f=0000000] PreGame::GameDataReceived: 140 ms
    [f=0000000] User number 0 (team 2, allyteam 0)
    [f=0000000] [Threading] Main thread CPU affinity mask set: 12
    [f=0000000] Loading Radar Icons
    [f=0000000] Loading GameData Definitions
    [f=0000000] Loading all definitions:  0.373000
    [f=0000000] Game::LoadDefs (GameData): 563 ms
    [f=0000000] Loading Sound Definitions
    [f=0000000] [Sound] Warning: Sound examplesound is missing file tag (ignoring)
    [f=0000000] [Sound]  parsed 7 sounds from gamedata/sounds.lua
    [f=0000000] Game::LoadDefs (Sound): 2 ms
    [f=0000000] Parsing Map Information
    [f=0000000] Loading SMF
    [f=0000000] Loading Map (103 MB)
    [f=0000000] Creating Smooth Height Mesh
    [f=0000000] SmoothHeightMesh::MakeSmoothMesh: 113 ms
    [f=0000000] Creating QuadField & CEGs
    [f=0000000] Number of damage types: 18
    [f=0000000] [RegisterAssimpModelFormats] supported Assimp model formats: *.3d;*.3ds;*.ac;*.ac3d;*.acc;*.ase;*.ask;*.b3d;*.blend;*.bvh;*.cob;*.csm;*.dae;*.dxf;*.enff;*.hmp;*.ifc;*.irr;*.irrmesh;*.lwo;*.lws;*.lxo;*.m3;*.md2;*.md3;*.md5anim;*.md5camera;*.md5mesh;*.mdc;*.mdl;*.mesh.xml;*.mot;*.ms3d;*.ndo;*.nff;*.obj;*.off;*.pk3;*.ply;*.prj;*.q3o;*.q3s;*.raw;*.scn;*.smd;*.stl;*.ter;*.uc;*.vta;*.x;*.xgl;*.xml;*.zgl;
    [f=0000000] Creating Unit Textures
    [f=0000000] Creating Sky
    [f=0000000] Loading Weapon Definitions
    [f=0000000] Loading Unit Definitions
    [f=0000000] Loading Feature Definitions
    [f=0000000] Error: [GetFeatureDef] could not find FeatureDef "armcom_heap"
    [f=0000000] Reading Estimate PathCosts [8]
    [f=0000000] Reading Estimate PathCosts [32]
    [f=0000000] [CPathManager] pathing data checksum: 2e94424a
    [f=0000000] [IPathManager::GetInstance] using DEFAULT path-manager
    [f=0000000] Initializing Map Features
    [f=0000000] Creating ShadowHandler & DecalHandler
    [f=0000000] Creating GroundDrawer
    [f=0000000] Loading Tile Files
    [f=0000000] Reading Tile Map
    [f=0000000] Loading Square Textures
    [f=0000000] CSMFGroundTextures::ConvolveHeightMap: 4 ms
    [f=0000000] Switching to ROAM Mesh Rendering
    [f=0000000] Creating TreeDrawer
    [f=0000000] Creating ProjectileDrawer & UnitDrawer
    [f=0000000] Creating Projectile Textures
    [f=0000000] Creating Water
    [f=0000000] Game::LoadInterface (Camera&Mouse): 129 ms
    [f=0000000] Game::LoadInterface (Console): 4 ms
    [f=0000000] [Sound] Error: Unable to open audio file: sounds/beep3.wav
    [f=0000000] Loading LuaRules
    [f=0000000] debug working
    [f=0000000] Loaded SYNCED gadget:  CobButton           <unit_cobbutton.lua>
    [f=0000000] Loaded SYNCED gadget:  No Self-D           <unit_prevent_share_selfd.lua>
    [f=0000000] "Tech Trees" gadget managing the technologies: battle commander, assault commander, jumpjet, star commander, advanced t3 unit research centre, advanced t1 unit research centre, supreme commander, advanced t2 unit research centre, advanced t4 unit research centre.
    [f=0000000] Loaded SYNCED gadget:  Tech Trees          <multi_tech.lua>
    [f=0000000] Loaded SYNCED gadget:  UnitMorph           <unit_morph.lua>
    [f=0000000] Loaded SYNCED gadget:  gfx_dynamic_lighting.lua  <gfx_dynamic_lighting.lua>
    [f=0000000] Loaded SYNCED gadget:  Anti Stock          <unit_antistock.lua>
    [f=0000000] Loaded SYNCED gadget:  DirectControl       <unit_direct_control.lua>
    [f=0000000] Loaded SYNCED gadget:  Dynamic collision volume & Hitsphere Scaledown  <unit_dynamic_collision_volume.lua>
    [f=0000000] Loaded SYNCED gadget:  Energy Conversion   <game_energy_conversion.lua>
    [f=0000000] Loaded SYNCED gadget:  FinishedBuilding    <unit_finished_building.lua>
    [f=0000000] Loaded SYNCED gadget:  Game End            <game_end.lua>
    [f=0000000] Loaded SYNCED gadget:  Has Taken The Lead  <gui_announce_kills.lua>
    [f=0000000] Loaded SYNCED gadget:  Initial Spawn       <game_initial_spawn.lua>
    [f=0000000] Loaded SYNCED gadget:  Jumpjets            <unit_jumpjets.lua>
    [f=0000000] Loaded SYNCED gadget:  Lightning Spash Damage  <unit_lightning_splash_dmg.lua>
    [f=0000000] [unit_script.lua] Error: Loading gadget: Lua unit script framework  <unit_script.lua>
    [f=0000000] Loaded SYNCED gadget:  Lua unit script framework  <unit_script.lua>
    [f=0000000] Loaded SYNCED gadget:  Lups Flamethrower Jitter  <lups_flame_jitter.lua>
    [f=0000000] Loaded SYNCED gadget:  Nano Boost          <unit_nanoboost.lua>
    [f=0000000] Loaded SYNCED gadget:  Napalm and More     <lups_napalm_and_more.lua>
    [f=0000000] Loaded SYNCED gadget:  No Land Damage      <unit_no_land_damage.lua>
    [f=0000000] Loaded SYNCED gadget:  No Self Pwn         <unit_noselfpwn.lua>
    [f=0000000] Loaded SYNCED gadget:  NoCost              <cmd_nocost.lua>
    [f=0000000] Loaded SYNCED gadget:  Nonblocking mines   <unit_nonblocking_mines.lua>
    [f=0000000] Loaded SYNCED gadget:  Passive Builders II  <unit_passive_builders_ii.lua>
    [f=0000000] Loaded SYNCED gadget:  Prevent Lab Hax     <unit_prevent_lab_hax.lua>
    [f=0000000] Loaded SYNCED gadget:  Prevent Load Hax    <unit_prevent_load_hax.lua>
    [f=0000000] Loaded SYNCED gadget:  Prevent Outside Aircraft hacks  <unit_prevent_aircraft_hax.lua>
    [f=0000000] Loaded SYNCED gadget:  Prevent Range Hax   <unit_prevent_range_hax.lua>
    [f=0000000] Loaded SYNCED gadget:  Prevent Strange Orders  <unit_prevent_strange_orders.lua>
    [f=0000000] Loaded SYNCED gadget:  Reclaim flash       <gfx_reclaim_flash.lua>
    [f=0000000] Loaded SYNCED gadget:  SetNeutral          <unit_set_neutral.lua>
    [f=0000000] Loaded SYNCED gadget:  Shockwaves          <lups_shockwaves.lua>
    [f=0000000] Loaded SYNCED gadget:  Start Point Remover Gadget  <init_start_point_remover_gadget.lua>
    [f=0000000] Loaded SYNCED gadget:  Stealthy Passengers  <unit_stealthy_passengers.lua>
    [f=0000000] Loaded SYNCED gadget:  Target on the move  <unit_target_on_the_move.lua>
    [f=0000000] Loaded SYNCED gadget:  Team Resourcing     <game_team_resources.lua>
    [f=0000000] Loaded SYNCED gadget:  Tidal Control       <unit_tidal_control.lua>
    [f=0000000] Loaded SYNCED gadget:  Transport radius adjuster  <unit_collision_radius_adjuster.lua>
    [f=0000000] Loaded SYNCED gadget:  Water platform rundry vontrol  <unit_exploding_rundry.lua>
    [f=0000000] Loaded SYNCED gadget:  Watereffects        <fx_watersplash.lua>
    [f=0000000] Loaded SYNCED gadget:  Windmill Control    <unit_windmill_control.lua>
    [f=0000000] Loaded SYNCED gadget:  fx_reclaim_shards   <fx_reclaim_shards.lua>
    [f=0000000] Loaded SYNCED gadget:  lups_wrapper.lua    <lups_wrapper.lua>
    [f=0000000] Loaded SYNCED gadget:  mo_noshare          <mo_noshare.lua>
    [f=0000000] Loaded SYNCED gadget:  prevent_flying_com_wrecks  <unit_prevent_flying_com_wrecks.lua>
    [f=0000000] Loaded SYNCED gadget:  unit stuck in lab fix  <unit_stuck_in_lab_hack.lua>
    [f=0000000] Loaded SYNCED gadget:  Area Attack         <areaattack.lua>
    [f=0000000] Loaded SYNCED gadget:  C Is For Control    <comiscontrol.lua>
    [f=0000000] Loaded SYNCED gadget:  Team Com Ends       <teamcomends.lua>
    [f=0000000] Loaded SYNCED gadget:  LupsSyncedManager   <lups_manager.lua>
    [f=0000000] Loaded SYNCED gadget:  Area Denial         <weapon_area_damage.lua>
    [f=0000000] Loaded SYNCED gadget:  Slave JJ to JJ      <jumpjet.lua>
    [f=0000000] Loaded SYNCED gadget:  Mex Upgrader Gadget  <unit_mex_upgrader.lua>
    [f=0000000] Loaded SYNCED gadget:  AirPlantParents     <unit_air_plants.lua>
    [f=0000000] Loaded SYNCED gadget:  Crashing Aircraft   <unit_crashing_aircraft.lua>
    [f=0000000] debug working
    [f=0000000] Loaded UNSYNCED gadget:  CustomIcons         <unit_customicons.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Tech Trees          <multi_tech.lua>
    [f=0000000] Loaded UNSYNCED gadget:  UnitMorph           <unit_morph.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Dynamic collision volume & Hitsphere Scaledown  <unit_dynamic_collision_volume.lua>
    [f=0000000] Loaded UNSYNCED gadget:  FinishedBuilding    <unit_finished_building.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Has Taken The Lead  <gui_announce_kills.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Lups Flamethrower Jitter  <lups_flame_jitter.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Napalm and More     <lups_napalm_and_more.lua>
    [f=0000000] Loaded UNSYNCED gadget:  NoCost              <cmd_nocost.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Reclaim flash       <gfx_reclaim_flash.lua>
    [f=0000000] Loaded UNSYNCED gadget:  SetNeutral          <unit_set_neutral.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Shockwaves          <lups_shockwaves.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Start Point Remover Gadget  <init_start_point_remover_gadget.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Target on the move  <unit_target_on_the_move.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Transport radius adjuster  <unit_collision_radius_adjuster.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Watereffects        <fx_watersplash.lua>
    [f=0000000] Loaded UNSYNCED gadget:  fx_reclaim_shards   <fx_reclaim_shards.lua>
    [f=0000000] Loaded UNSYNCED gadget:  gfx_dynamic_lighting.lua  <gfx_dynamic_lighting.lua>
    [f=0000000] Loaded UNSYNCED gadget:  mo_enemywrecks      <mo_enemywrecks.lua>
    [f=0000000] Loaded UNSYNCED gadget:  mo_greenfields      <mo_greenfields.lua>
    [f=0000000] Loaded UNSYNCED gadget:  mo_noowner          <mo_noowner.lua>
    [f=0000000] Loaded UNSYNCED gadget:  mo_noshare          <mo_noshare.lua>
    [f=0000000] Loaded UNSYNCED gadget:  mo_nowrecks         <mo_nowrecks.lua>
    [f=0000000] Loaded UNSYNCED gadget:  prevent_flying_com_wrecks  <unit_prevent_flying_com_wrecks.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Area Attack         <areaattack.lua>
    [f=0000000] Loaded UNSYNCED gadget:  C Is For Control    <comiscontrol.lua>
    [f=0000000] Loaded UNSYNCED gadget:  LupsSyncedManager   <lups_manager.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Area Denial         <weapon_area_damage.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Slave JJ to JJ      <jumpjet.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Mex Upgrader Gadget  <unit_mex_upgrader.lua>
    [f=0000000] Loaded UNSYNCED gadget:  AirPlantParents     <unit_air_plants.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Crashing Aircraft   <unit_crashing_aircraft.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Lups                <lups_wrapper.lua>
    [f=0000000] Loading LuaGaia
    [f=0000000] Loading LuaUI
    [f=0000000] LuaSocketEnabled: yes
    [f=0000000] Using LUAUI_DIRNAME = LuaUI/
    [f=0000000] Reloaded ctrlpanel from file: LuaUI/ctrlpanel.txt
    [f=0000000] LuaUI: bound F11 to the widget selector
    [f=0000000] LuaUI: bound CTRL+F11 to tweak mode
    [f=0000000] LuaUI v0.3
    [f=0000000] Initializing PathCache
    [f=0000000] Finalizing
    [f=0000000] Loaded DecalsDrawer: Legacy
    [f=0000000] Connection attempt from invalid
    [f=0000000]  -> Version: 94.1 (OMP)
    [f=0000000]  -> Connection established (given id 0)
    [f=0000000] Player invalid finished loading and is now ingame
    [f=0000000] GameID: 6fdf5c528e042e3eeaaa07612e2f9a16
    [f=0000000] Warning: [Watchdog] Hang detection triggered for Spring 94.1 (OMP).
    [f=0000000] Warning:   (in thread: main)
    [f=0000000] Error: DLL information:
    [f=0000000] Error: 0x00400000	spring
    [f=0000000] Error: 0x77a50000	ntdll
    [f=0000000] Error: 0x75ef0000	kernel32
    [f=0000000] Error: 0x774a0000	KERNELBASE
    [f=0000000] Error: 0x10000000	DevIL
    [f=0000000] Error: 0x72890000	MSVCP80
    [f=0000000] Error: 0x72920000	MSVCR80
    [f=0000000] Error: 0x76760000	msvcrt
    [f=0000000] Error: 0x75930000	USER32
    [f=0000000] Error: 0x75bd0000	GDI32
    [f=0000000] Error: 0x75e70000	LPK
    [f=0000000] Error: 0x76000000	USP10
    [f=0000000] Error: 0x75c70000	ADVAPI32
    [f=0000000] Error: 0x76710000	sechost
    [f=0000000] Error: 0x765d0000	RPCRT4
    [f=0000000] Error: 0x754a0000	SspiCli
    [f=0000000] Error: 0x75490000	CRYPTBASE
    [f=0000000] Error: 0x5e3b0000	GLU32
    [f=0000000] Error: 0x5e2b0000	OPENGL32
    [f=0000000] Error: 0x5da70000	DDRAW
    [f=0000000] Error: 0x66280000	DCIMAN32
    [f=0000000] Error: 0x75a30000	SETUPAPI
    [f=0000000] Error: 0x76810000	CFGMGR32
    [f=0000000] Error: 0x76540000	OLEAUT32
    [f=0000000] Error: 0x75d10000	ole32
    [f=0000000] Error: 0x76740000	DEVOBJ
    [f=0000000] Error: 0x72f40000	dwmapi
    [f=0000000] Error: 0x76440000	IMAGEHLP
    [f=0000000] Error: 0x62480000	pthreadGC2
    [f=0000000] Error: 0x74cf0000	WSOCK32
    [f=0000000] Error: 0x774f0000	WS2_32
    [f=0000000] Error: 0x75920000	NSI
    [f=0000000] Error: 0x76850000	SHELL32
    [f=0000000] Error: 0x763e0000	SHLWAPI
    [f=0000000] Error: 0x6b600000	OpenAL32
    [f=0000000] Error: 0x73fa0000	WINMM
    [f=0000000] Error: 0x70780000	vorbisfile
    [f=0000000] Error: 0x68140000	ogg
    [f=0000000] Error: 0x64cc0000	vorbis
    [f=0000000] Error: 0x62e80000	zlib1
    [f=0000000] Error: 0x66fc0000	freetype6
    [f=0000000] Error: 0x62aa0000	glew32
    [f=0000000] Error: 0x012f0000	SDL
    [f=0000000] Error: 0x7c340000	MSVCR71
    [f=0000000] Error: 0x6e330000	apphelp
    [f=0000000] Error: 0x5dc50000	AcGenral
    [f=0000000] Error: 0x6eb50000	UxTheme
    [f=0000000] Error: 0x642a0000	samcli
    [f=0000000] Error: 0x6a2c0000	MSACM32
    [f=0000000] Error: 0x74e70000	VERSION
    [f=0000000] Error: 0x663a0000	sfc
    [f=0000000] Error: 0x66390000	sfc_os
    [f=0000000] Error: 0x74d10000	USERENV
    [f=0000000] Error: 0x74d00000	profapi
    [f=0000000] Error: 0x761d0000	urlmon
    [f=0000000] Error: 0x76840000	api-ms-win-downlevel-ole32-l1-1-0
    [f=0000000] Error: 0x76700000	api-ms-win-downlevel-shlwapi-l1-1-0
    [f=0000000] Error: 0x76730000	api-ms-win-downlevel-advapi32-l1-1-0
    [f=0000000] Error: 0x77a20000	api-ms-win-downlevel-user32-l1-1-0
    [f=0000000] Error: 0x766c0000	api-ms-win-downlevel-version-l1-1-0
    [f=0000000] Error: 0x75c60000	api-ms-win-downlevel-normaliz-l1-1-0
    [f=0000000] Error: 0x76300000	normaliz
    [f=0000000] Error: 0x75720000	iertutil
    [f=0000000] Error: 0x75500000	WININET
    [f=0000000] Error: 0x72d80000	MPR
    [f=0000000] Error: 0x75e90000	IMM32
    [f=0000000] Error: 0x76470000	MSCTF
    [f=0000000] Error: 0x01480000	guard32
    [f=0000000] Error: 0x74ce0000	fltlib
    [f=0000000] Error: 0x73fe0000	dsound
    [f=0000000] Error: 0x73f70000	POWRPROF
    [f=0000000] Error: 0x77530000	CLBCatQ
    [f=0000000] Error: 0x648c0000	MMDevApi
    [f=0000000] Error: 0x6fe00000	PROPSYS
    [f=0000000] Error: 0x6a310000	wdmaud
    [f=0000000] Error: 0x6a300000	ksuser
    [f=0000000] Error: 0x6a2f0000	AVRT
    [f=0000000] Error: 0x64720000	AUDIOSES
    [f=0000000] Error: 0x6a2b0000	midimap
    [f=0000000] Error: 0x66270000	atiglpxx
    [f=0000000] Error: 0x56370000	atioglxx
    [f=0000000] Error: 0x5dbd0000	atiadlxy
    [f=0000000] Error: 0x74f00000	WTSAPI32
    [f=0000000] Error: 0x761c0000	PSAPI
    [f=0000000] Error: 0x729d0000	IPHLPAPI
    [f=0000000] Error: 0x729c0000	WINNSI
    [f=0000000] Error: 0x766d0000	WINTRUST
    [f=0000000] Error: 0x760a0000	CRYPT32
    [f=0000000] Error: 0x75e80000	MSASN1
    [f=0000000] Error: 0x63d00000	aticfx32
    [f=0000000] Error: 0x5e2a0000	atigktxx
    [f=0000000] Error: 0x5e270000	DINPUT
    [f=0000000] Error: 0x72bf0000	HID
    [f=0000000] Error: 0x70cb0000	mswsock
    [f=0000000] Error: 0x70ca0000	wship6
    [f=0000000] Error: 0x70c70000	wshtcpip
    [f=0000000] Error: 0x62b40000	AIInterface
    [f=0000000] Error: 0x62fc0000	SkirmishAI
    [f=0000000] Error: 0x6ea50000	dbghelp
    [f=0000000] Error: Stacktrace (main):
    [f=0000000] Error: (0) C:\Windows\syswow64\msvcrt.dll(malloc+0x16) [0x76769D04]
    [f=0000000] Error: (1) C:\Program Files (x86)\Spring\spring.exe(skirmishAiCallback_DataDirs_getWriteableDir+0x519003) [0x00D435A3]
    [f=0000000] Error: (2) C:\Program Files (x86)\Spring\spring.exe(skirmishAiCallback_DataDirs_getWriteableDir+0x40bd8d) [0x00C3632D]
    [f=0000000] Error: (3) C:\Windows\SysWOW64\ntdll.dll(RtlAllocateHeap+0xac) [0x77A7E0F2]
    [f=0000000] Error: (4) C:\Program Files (x86)\Spring\spring.exe [0x006E304D]
    [f=0000000] Error: (5) C:\Windows\SysWOW64\ntdll.dll(RtlFreeHeap+0x7e) [0x77A7E023]
    [f=0000000] Error: (6) C:\Windows\SysWOW64\ntdll.dll(RtlInitUnicodeString+0x164) [0x77A7E38C]
    [f=0000000] Error: (7) C:\Windows\SysWOW64\ntdll.dll(RtlAllocateHeap+0xac) [0x77A7E0F2]
    [f=0000000] Error: (8) C:\Windows\SysWOW64\ntdll.dll(RtlFreeHeap+0x7e) [0x77A7E023]
    [f=0000000] Error: (9) C:\Program Files (x86)\Spring\spring.exe(skirmishAiCallback_DataDirs_getWriteableDir+0x4e93b4) [0x00D13954]
    [f=0000000] Error: (10) C:\Program Files (x86)\Spring\spring.exe [0x006E33A7]
    [f=0000000] Error: (11) C:\Program Files (x86)\Spring\spring.exe [0x006E19FF]
    [f=0000000] Error: (12) C:\Program Files (x86)\Spring\spring.exe [0x006E3590]
    [f=0000000] Error: (13) C:\Program Files (x86)\Spring\spring.exe [0x006E93E6]
    [f=0000000] Error: (14) C:\Program Files (x86)\Spring\spring.exe [0x008078EB]
    [f=0000000] Error: (15) C:\Program Files (x86)\Spring\spring.exe(skirmishAiCallback_Engine_handleCommand+0xc14) [0x00827A34]
    [f=0000000] Error: (16) C:\Program Files (x86)\Spring\AI\Skirmish\RAI\0.601\SkirmishAI.dll(release+0x1864) [0x62FD1C54]
    [f=0000000] Error: (17) C:\Program Files (x86)\Spring\AI\Skirmish\RAI\0.601\SkirmishAI.dll(release+0x3c73) [0x62FD4063]
    [f=0000000] Error: (18) C:\Program Files (x86)\Spring\AI\Skirmish\RAI\0.601\SkirmishAI.dll [0x0000A334]
    [f=0000000] Error: (19) C:\Program Files (x86)\Spring\AI\Skirmish\RAI\0.601\SkirmishAI.dll(release+0xaff0f) [0x630802FF]
    [f=0000000] Error: (20) C:\Program Files (x86)\Spring\AI\Skirmish\RAI\0.601\SkirmishAI.dll(release+0xa349f) [0x6307388F]
    [f=0000000] Error: (21) C:\Program Files (x86)\Spring\AI\Skirmish\RAI\0.601\SkirmishAI.dll(release+0xa3593) [0x63073983]
    [f=0000000] Error: (22) C:\Windows\SysWOW64\ntdll.dll(RtlInitUnicodeString+0x164) [0x77A7E38C]
    [f=0000000] Error: Stacktrace (audio):
    [f=0000000] Error: (0) C:\Windows\SysWOW64\ntdll.dll(ZwWaitForMultipleObjects+0x15) [0x77A7015D]
    [f=0000000] Error: (1) C:\Windows\syswow64\kernel32.dll(WaitForMultipleObjectsEx+0x8e) [0x75F019FC]
    [f=0000000] Error: (2) C:\Windows\syswow64\kernel32.dll(WaitForMultipleObjects+0x18) [0x75F041D8]
    [f=0000000] Error: (3) C:\Program Files (x86)\Spring\spring.exe(skirmishAiCallback_DataDirs_getWriteableDir+0x214956) [0x00A3EEF6]
    [f=0000000] Error: (4) C:\Program Files (x86)\Spring\spring.exe(skirmishAiCallback_DataDirs_getWriteableDir+0x2e5121) [0x00B0F6C1]
    [f=0000000] Error: (5) C:\Program Files (x86)\Spring\spring.exe(skirmishAiCallback_DataDirs_getWriteableDir+0x213d84) [0x00A3E324]
    [f=0000000] Warning: [Watchdog] Hang detection triggered for Spring 94.1 (OMP).
    [f=0000000] Warning:   (in thread: main)
    [f=0000000] Error: DLL information:
    [f=0000000] Error: 0x00400000	spring
    [f=0000000] Error: 0x77a50000	ntdll
    [f=0000000] Error: 0x75ef0000	kernel32
    [f=0000000] Error: 0x774a0000	KERNELBASE
    [f=0000000] Error: 0x10000000	DevIL
    [f=0000000] Error: 0x72890000	MSVCP80
    [f=0000000] Error: 0x72920000	MSVCR80
    [f=0000000] Error: 0x76760000	msvcrt
    [f=0000000] Error: 0x75930000	USER32
    [f=0000000] Error: 0x75bd0000	GDI32
    [f=0000000] Error: 0x75e70000	LPK
    [f=0000000] Error: 0x76000000	USP10
    [f=0000000] Error: 0x75c70000	ADVAPI32
    [f=0000000] Error: 0x76710000	sechost
    [f=0000000] Error: 0x765d0000	RPCRT4
    [f=0000000] Error: 0x754a0000	SspiCli
    [f=0000000] Error: 0x75490000	CRYPTBASE
    [f=0000000] Error: 0x5e3b0000	GLU32
    [f=0000000] Error: 0x5e2b0000	OPENGL32
    [f=0000000] Error: 0x5da70000	DDRAW
    [f=0000000] Error: 0x66280000	DCIMAN32
    [f=0000000] Error: 0x75a30000	SETUPAPI
    [f=0000000] Error: 0x76810000	CFGMGR32
    [f=0000000] Error: 0x76540000	OLEAUT32
    [f=0000000] Error: 0x75d10000	ole32
    [f=0000000] Error: 0x76740000	DEVOBJ
    [f=0000000] Error: 0x72f40000	dwmapi
    [f=0000000] Error: 0x76440000	IMAGEHLP
    [f=0000000] Error: 0x62480000	pthreadGC2
    [f=0000000] Error: 0x74cf0000	WSOCK32
    [f=0000000] Error: 0x774f0000	WS2_32
    [f=0000000] Error: 0x75920000	NSI
    [f=0000000] Error: 0x76850000	SHELL32
    [f=0000000] Error: 0x763e0000	SHLWAPI
    [f=0000000] Error: 0x6b600000	OpenAL32
    [f=0000000] Error: 0x73fa0000	WINMM
    [f=0000000] Error: 0x70780000	vorbisfile
    [f=0000000] Error: 0x68140000	ogg
    [f=0000000] Error: 0x64cc0000	vorbis
    [f=0000000] Error: 0x62e80000	zlib1
    [f=0000000] Error: 0x66fc0000	freetype6
    [f=0000000] Error: 0x62aa0000	glew32
    [f=0000000] Error: 0x012f0000	SDL
    [f=0000000] Error: 0x7c340000	MSVCR71
    [f=0000000] Error: 0x6e330000	apphelp
    [f=0000000] Error: 0x5dc50000	AcGenral
    [f=0000000] Error: 0x6eb50000	UxTheme
    [f=0000000] Error: 0x642a0000	samcli
    [f=0000000] Error: 0x6a2c0000	MSACM32
    [f=0000000] Error: 0x74e70000	VERSION
    [f=0000000] Error: 0x663a0000	sfc
    [f=0000000] Error: 0x66390000	sfc_os
    [f=0000000] Error: 0x74d10000	USERENV
    [f=0000000] Error: 0x74d00000	profapi
    [f=0000000] Error: 0x761d0000	urlmon
    [f=0000000] Error: 0x76840000	api-ms-win-downlevel-ole32-l1-1-0
    [f=0000000] Error: 0x76700000	api-ms-win-downlevel-shlwapi-l1-1-0
    [f=0000000] Error: 0x76730000	api-ms-win-downlevel-advapi32-l1-1-0
    [f=0000000] Error: 0x77a20000	api-ms-win-downlevel-user32-l1-1-0
    [f=0000000] Error: 0x766c0000	api-ms-win-downlevel-version-l1-1-0
    [f=0000000] Error: 0x75c60000	api-ms-win-downlevel-normaliz-l1-1-0
    [f=0000000] Error: 0x76300000	normaliz
    [f=0000000] Error: 0x75720000	iertutil
    [f=0000000] Error: 0x75500000	WININET
    [f=0000000] Error: 0x72d80000	MPR
    [f=0000000] Error: 0x75e90000	IMM32
    [f=0000000] Error: 0x76470000	MSCTF
    [f=0000000] Error: 0x01480000	guard32
    [f=0000000] Error: 0x74ce0000	fltlib
    [f=0000000] Error: 0x73fe0000	dsound
    [f=0000000] Error: 0x73f70000	POWRPROF
    [f=0000000] Error: 0x77530000	CLBCatQ
    [f=0000000] Error: 0x648c0000	MMDevApi
    [f=0000000] Error: 0x6fe00000	PROPSYS
    [f=0000000] Error: 0x6a310000	wdmaud
    [f=0000000] Error: 0x6a300000	ksuser
    [f=0000000] Error: 0x6a2f0000	AVRT
    [f=0000000] Error: 0x64720000	AUDIOSES
    [f=0000000] Error: 0x6a2b0000	midimap
    [f=0000000] Error: 0x66270000	atiglpxx
    [f=0000000] Error: 0x56370000	atioglxx
    [f=0000000] Error: 0x5dbd0000	atiadlxy
    [f=0000000] Error: 0x74f00000	WTSAPI32
    [f=0000000] Error: 0x761c0000	PSAPI
    [f=0000000] Error: 0x729d0000	IPHLPAPI
    [f=0000000] Error: 0x729c0000	WINNSI
    [f=0000000] Error: 0x766d0000	WINTRUST
    [f=0000000] Error: 0x760a0000	CRYPT32
    [f=0000000] Error: 0x75e80000	MSASN1
    [f=0000000] Error: 0x63d00000	aticfx32
    [f=0000000] Error: 0x5e2a0000	atigktxx
    [f=0000000] Error: 0x5e270000	DINPUT
    [f=0000000] Error: 0x72bf0000	HID
    [f=0000000] Error: 0x70cb0000	mswsock
    [f=0000000] Error: 0x70ca0000	wship6
    [f=0000000] Error: 0x70c70000	wshtcpip
    [f=0000000] Error: 0x62b40000	AIInterface
    [f=0000000] Error: 0x62fc0000	SkirmishAI
    [f=0000000] Error: 0x6ea50000	dbghelp
    [f=0000000] Error: Stacktrace (main):
    [f=0000000] Error: (0) C:\Program Files (x86)\Spring\spring.exe(skirmishAiCallback_DataDirs_getWriteableDir+0x4e1c8a) [0x00D0C22A]
    [f=0000000] Error: (1) C:\Program Files (x86)\Spring\spring.exe [0x006E19F7]
    [f=0000000] Error: (2) C:\Program Files (x86)\Spring\spring.exe [0x006E93E6]
    [f=0000000] Error: (3) C:\Program Files (x86)\Spring\spring.exe [0x008078EB]
    [f=0000000] Error: (4) C:\Program Files (x86)\Spring\spring.exe(skirmishAiCallback_Engine_handleCommand+0xc14) [0x00827A34]
    [f=0000000] Error: (5) C:\Program Files (x86)\Spring\AI\Skirmish\RAI\0.601\SkirmishAI.dll(release+0x1864) [0x62FD1C54]
    [f=0000000] Error: (6) C:\Program Files (x86)\Spring\AI\Skirmish\RAI\0.601\SkirmishAI.dll(release+0x3c73) [0x62FD4063]
    [f=0000000] Error: (7) C:\Program Files (x86)\Spring\AI\Skirmish\RAI\0.601\SkirmishAI.dll [0x0000A334]
    [f=0000000] Error: (8) C:\Program Files (x86)\Spring\AI\Skirmish\RAI\0.601\SkirmishAI.dll(release+0xaff0f) [0x630802FF]
    [f=0000000] Error: (9) C:\Program Files (x86)\Spring\AI\Skirmish\RAI\0.601\SkirmishAI.dll(release+0xa349f) [0x6307388F]
    [f=0000000] Error: (10) C:\Program Files (x86)\Spring\AI\Skirmish\RAI\0.601\SkirmishAI.dll(release+0xa3593) [0x63073983]
    [f=0000000] Error: (11) C:\Windows\SysWOW64\ntdll.dll(RtlInitUnicodeString+0x164) [0x77A7E38C]
    [f=0000000] Error: Stacktrace (audio):
    [f=0000000] Error: (0) C:\Windows\SysWOW64\ntdll.dll(ZwWaitForMultipleObjects+0x15) [0x77A7015D]
    [f=0000000] Error: (1) C:\Windows\syswow64\kernel32.dll(WaitForMultipleObjectsEx+0x8e) [0x75F019FC]
    [f=0000000] Error: (2) C:\Windows\syswow64\kernel32.dll(WaitForMultipleObjects+0x18) [0x75F041D8]
    [f=0000000] Error: (3) C:\Program Files (x86)\Spring\spring.exe(skirmishAiCallback_DataDirs_getWriteableDir+0x214956) [0x00A3EEF6]
    [f=0000000] Error: (4) C:\Program Files (x86)\Spring\spring.exe(skirmishAiCallback_DataDirs_getWriteableDir+0x2e5121) [0x00B0F6C1]
    [f=0000000] Error: (5) C:\Program Files (x86)\Spring\spring.exe(skirmishAiCallback_DataDirs_getWriteableDir+0x213d84) [0x00A3E324]
    [f=0000000] Warning: [Watchdog] Hang detection triggered for Spring 94.1 (OMP).
    [f=0000000] Warning:   (in thread: main)
    [f=0000000] Error: DLL information:
    [f=0000000] Error: 0x00400000	spring
    [f=0000000] Error: 0x77a50000	ntdll
    [f=0000000] Error: 0x75ef0000	kernel32
    [f=0000000] Error: 0x774a0000	KERNELBASE
    [f=0000000] Error: 0x10000000	DevIL
    [f=0000000] Error: 0x72890000	MSVCP80
    [f=0000000] Error: 0x72920000	MSVCR80
    [f=0000000] Error: 0x76760000	msvcrt
    [f=0000000] Error: 0x75930000	USER32
    [f=0000000] Error: 0x75bd0000	GDI32
    [f=0000000] Error: 0x75e70000	LPK
    [f=0000000] Error: 0x76000000	USP10
    [f=0000000] Error: 0x75c70000	ADVAPI32
    [f=0000000] Error: 0x76710000	sechost
    [f=0000000] Error: 0x765d0000	RPCRT4
    [f=0000000] Error: 0x754a0000	SspiCli
    [f=0000000] Error: 0x75490000	CRYPTBASE
    [f=0000000] Error: 0x5e3b0000	GLU32
    [f=0000000] Error: 0x5e2b0000	OPENGL32
    [f=0000000] Error: 0x5da70000	DDRAW
    [f=0000000] Error: 0x66280000	DCIMAN32
    [f=0000000] Error: 0x75a30000	SETUPAPI
    [f=0000000] Error: 0x76810000	CFGMGR32
    [f=0000000] Error: 0x76540000	OLEAUT32
    [f=0000000] Error: 0x75d10000	ole32
    [f=0000000] Error: 0x76740000	DEVOBJ
    [f=0000000] Error: 0x72f40000	dwmapi
    [f=0000000] Error: 0x76440000	IMAGEHLP
    [f=0000000] Error: 0x62480000	pthreadGC2
    [f=0000000] Error: 0x74cf0000	WSOCK32
    [f=0000000] Error: 0x774f0000	WS2_32
    [f=0000000] Error: 0x75920000	NSI
    [f=0000000] Error: 0x76850000	SHELL32
    [f=0000000] Error: 0x763e0000	SHLWAPI
    [f=0000000] Error: 0x6b600000	OpenAL32
    [f=0000000] Error: 0x73fa0000	WINMM
    [f=0000000] Error: 0x70780000	vorbisfile
    [f=0000000] Error: 0x68140000	ogg
    [f=0000000] Error: 0x64cc0000	vorbis
    [f=0000000] Error: 0x62e80000	zlib1
    [f=0000000] Error: 0x66fc0000	freetype6
    [f=0000000] Error: 0x62aa0000	glew32
    [f=0000000] Error: 0x012f0000	SDL
    [f=0000000] Error: 0x7c340000	MSVCR71
    [f=0000000] Error: 0x6e330000	apphelp
    [f=0000000] Error: 0x5dc50000	AcGenral
    [f=0000000] Error: 0x6eb50000	UxTheme
    [f=0000000] Error: 0x642a0000	samcli
    [f=0000000] Error: 0x6a2c0000	MSACM32
    [f=0000000] Error: 0x74e70000	VERSION
    [f=0000000] Error: 0x663a0000	sfc
    [f=0000000] Error: 0x66390000	sfc_os
    [f=0000000] Error: 0x74d10000	USERENV
    [f=0000000] Error: 0x74d00000	profapi
    [f=0000000] Error: 0x761d0000	urlmon
    [f=0000000] Error: 0x76840000	api-ms-win-downlevel-ole32-l1-1-0
    [f=0000000] Error: 0x76700000	api-ms-win-downlevel-shlwapi-l1-1-0
    [f=0000000] Error: 0x76730000	api-ms-win-downlevel-advapi32-l1-1-0
    [f=0000000] Error: 0x77a20000	api-ms-win-downlevel-user32-l1-1-0
    [f=0000000] Error: 0x766c0000	api-ms-win-downlevel-version-l1-1-0
    [f=0000000] Error: 0x75c60000	api-ms-win-downlevel-normaliz-l1-1-0
    [f=0000000] Error: 0x76300000	normaliz
    [f=0000000] Error: 0x75720000	iertutil
    [f=0000000] Error: 0x75500000	WININET
    [f=0000000] Error: 0x72d80000	MPR
    [f=0000000] Error: 0x75e90000	IMM32
    [f=0000000] Error: 0x76470000	MSCTF
    [f=0000000] Error: 0x01480000	guard32
    [f=0000000] Error: 0x74ce0000	fltlib
    [f=0000000] Error: 0x73fe0000	dsound
    [f=0000000] Error: 0x73f70000	POWRPROF
    [f=0000000] Error: 0x77530000	CLBCatQ
    [f=0000000] Error: 0x648c0000	MMDevApi
    [f=0000000] Error: 0x6fe00000	PROPSYS
    [f=0000000] Error: 0x6a310000	wdmaud
    [f=0000000] Error: 0x6a300000	ksuser
    [f=0000000] Error: 0x6a2f0000	AVRT
    [f=0000000] Error: 0x64720000	AUDIOSES
    [f=0000000] Error: 0x6a2b0000	midimap
    [f=0000000] Error: 0x66270000	atiglpxx
    [f=0000000] Error: 0x56370000	atioglxx
    [f=0000000] Error: 0x5dbd0000	atiadlxy
    [f=0000000] Error: 0x74f00000	WTSAPI32
    [f=0000000] Error: 0x761c0000	PSAPI
    [f=0000000] Error: 0x729d0000	IPHLPAPI
    [f=0000000] Error: 0x729c0000	WINNSI
    [f=0000000] Error: 0x766d0000	WINTRUST
    [f=0000000] Error: 0x760a0000	CRYPT32
    [f=0000000] Error: 0x75e80000	MSASN1
    [f=0000000] Error: 0x63d00000	aticfx32
    [f=0000000] Error: 0x5e2a0000	atigktxx
    [f=0000000] Error: 0x5e270000	DINPUT
    [f=0000000] Error: 0x72bf0000	HID
    [f=0000000] Error: 0x70cb0000	mswsock
    [f=0000000] Error: 0x70ca0000	wship6
    [f=0000000] Error: 0x70c70000	wshtcpip
    [f=0000000] Error: 0x62b40000	AIInterface
    [f=0000000] Error: 0x62fc0000	SkirmishAI
    [f=0000000] Error: 0x6ea50000	dbghelp
    [f=0000000] Error: Stacktrace (main):
    [f=0000000] Error: (0) C:\Program Files (x86)\Spring\AI\Skirmish\RAI\0.601\SkirmishAI.dll(release+0xa4831) [0x63074C21]
    [f=0000000] Error: (1) C:\Program Files (x86)\Spring\AI\Skirmish\RAI\0.601\SkirmishAI.dll [0x0000A334]
    [f=0000000] Error: (2) C:\Program Files (x86)\Spring\AI\Skirmish\RAI\0.601\SkirmishAI.dll(release+0xaff0f) [0x630802FF]
    [f=0000000] Error: (3) C:\Program Files (x86)\Spring\AI\Skirmish\RAI\0.601\SkirmishAI.dll(release+0xa349f) [0x6307388F]
    [f=0000000] Error: (4) C:\Program Files (x86)\Spring\AI\Skirmish\RAI\0.601\SkirmishAI.dll(release+0xa3593) [0x63073983]
    [f=0000000] Error: (5) C:\Windows\SysWOW64\ntdll.dll(RtlInitUnicodeString+0x164) [0x77A7E38C]
    [f=0000000] Error: Stacktrace (audio):
    [f=0000000] Error: (0) C:\Windows\SysWOW64\ntdll.dll(ZwWaitForMultipleObjects+0x15) [0x77A7015D]
    [f=0000000] Error: (1) C:\Windows\syswow64\kernel32.dll(WaitForMultipleObjectsEx+0x8e) [0x75F019FC]
    [f=0000000] Error: (2) C:\Windows\syswow64\kernel32.dll(WaitForMultipleObjects+0x18) [0x75F041D8]
    [f=0000000] Error: (3) C:\Program Files (x86)\Spring\spring.exe(skirmishAiCallback_DataDirs_getWriteableDir+0x214956) [0x00A3EEF6]
    [f=0000000] Error: (4) C:\Program Files (x86)\Spring\spring.exe(skirmishAiCallback_DataDirs_getWriteableDir+0x2e5121) [0x00B0F6C1]
    [f=0000000] Error: (5) C:\Program Files (x86)\Spring\spring.exe(skirmishAiCallback_DataDirs_getWriteableDir+0x213d84) [0x00A3E324]
    [f=0000015] [widgets.lua] Error: false
    [f=0000015] [widgets.lua] Error: Error in Update(): [string "LuaUI/Widgets/init_start_marker.lua"]:25: bad argument #3 to 'MarkerAddPoint' (number expected, got nil)
    [f=0000015] [widgets.lua] Error: Removed widget: Start Point Adder
    [f=0000025] Skirmish AI "Bot1" (ID:0, Short-Name:"RAI", Version:"0.601") took over control of team 0
    [f=0000026] Skirmish AI "Bot2" (ID:1, Short-Name:"RAI", Version:"0.601") took over control of team 1
    [f=0000325] Buildings set to face South
    [f=0012729] Error: Spring 94.1 (OMP) has crashed.
    [f=0012729] Error: DLL information:
    [f=0012729] Error: 0x00400000	spring
    [f=0012729] Error: 0x77a50000	ntdll
    [f=0012729] Error: 0x75ef0000	kernel32
    [f=0012729] Error: 0x774a0000	KERNELBASE
    [f=0012729] Error: 0x10000000	DevIL
    [f=0012729] Error: 0x72890000	MSVCP80
    [f=0012729] Error: 0x72920000	MSVCR80
    [f=0012729] Error: 0x76760000	msvcrt
    [f=0012729] Error: 0x75930000	USER32
    [f=0012729] Error: 0x75bd0000	GDI32
    [f=0012729] Error: 0x75e70000	LPK
    [f=0012729] Error: 0x76000000	USP10
    [f=0012729] Error: 0x75c70000	ADVAPI32
    [f=0012729] Error: 0x76710000	sechost
    [f=0012729] Error: 0x765d0000	RPCRT4
    [f=0012729] Error: 0x754a0000	SspiCli
    [f=0012729] Error: 0x75490000	CRYPTBASE
    [f=0012729] Error: 0x5e3b0000	GLU32
    [f=0012729] Error: 0x5e2b0000	OPENGL32
    [f=0012729] Error: 0x5da70000	DDRAW
    [f=0012729] Error: 0x66280000	DCIMAN32
    [f=0012729] Error: 0x75a30000	SETUPAPI
    [f=0012729] Error: 0x76810000	CFGMGR32
    [f=0012729] Error: 0x76540000	OLEAUT32
    [f=0012729] Error: 0x75d10000	ole32
    [f=0012729] Error: 0x76740000	DEVOBJ
    [f=0012729] Error: 0x72f40000	dwmapi
    [f=0012729] Error: 0x76440000	IMAGEHLP
    [f=0012729] Error: 0x62480000	pthreadGC2
    [f=0012729] Error: 0x74cf0000	WSOCK32
    [f=0012729] Error: 0x774f0000	WS2_32
    [f=0012729] Error: 0x75920000	NSI
    [f=0012729] Error: 0x76850000	SHELL32
    [f=0012729] Error: 0x763e0000	SHLWAPI
    [f=0012729] Error: 0x6b600000	OpenAL32
    [f=0012729] Error: 0x73fa0000	WINMM
    [f=0012729] Error: 0x70780000	vorbisfile
    [f=0012729] Error: 0x68140000	ogg
    [f=0012729] Error: 0x64cc0000	vorbis
    [f=0012729] Error: 0x62e80000	zlib1
    [f=0012729] Error: 0x66fc0000	freetype6
    [f=0012729] Error: 0x62aa0000	glew32
    [f=0012729] Error: 0x012f0000	SDL
    [f=0012729] Error: 0x7c340000	MSVCR71
    [f=0012729] Error: 0x6e330000	apphelp
    [f=0012729] Error: 0x5dc50000	AcGenral
    [f=0012729] Error: 0x6eb50000	UxTheme
    [f=0012729] Error: 0x642a0000	samcli
    [f=0012729] Error: 0x6a2c0000	MSACM32
    [f=0012729] Error: 0x74e70000	VERSION
    [f=0012729] Error: 0x663a0000	sfc
    [f=0012729] Error: 0x66390000	sfc_os
    [f=0012729] Error: 0x74d10000	USERENV
    [f=0012729] Error: 0x74d00000	profapi
    [f=0012729] Error: 0x761d0000	urlmon
    [f=0012729] Error: 0x76840000	api-ms-win-downlevel-ole32-l1-1-0
    [f=0012729] Error: 0x76700000	api-ms-win-downlevel-shlwapi-l1-1-0
    [f=0012729] Error: 0x76730000	api-ms-win-downlevel-advapi32-l1-1-0
    [f=0012729] Error: 0x77a20000	api-ms-win-downlevel-user32-l1-1-0
    [f=0012729] Error: 0x766c0000	api-ms-win-downlevel-version-l1-1-0
    [f=0012729] Error: 0x75c60000	api-ms-win-downlevel-normaliz-l1-1-0
    [f=0012729] Error: 0x76300000	normaliz
    [f=0012729] Error: 0x75720000	iertutil
    [f=0012729] Error: 0x75500000	WININET
    [f=0012729] Error: 0x72d80000	MPR
    [f=0012729] Error: 0x75e90000	IMM32
    [f=0012729] Error: 0x76470000	MSCTF
    [f=0012729] Error: 0x01480000	guard32
    [f=0012729] Error: 0x74ce0000	fltlib
    [f=0012729] Error: 0x73fe0000	dsound
    [f=0012729] Error: 0x73f70000	POWRPROF
    [f=0012729] Error: 0x77530000	CLBCatQ
    [f=0012729] Error: 0x648c0000	MMDevApi
    [f=0012729] Error: 0x6fe00000	PROPSYS
    [f=0012729] Error: 0x6a310000	wdmaud
    [f=0012729] Error: 0x6a300000	ksuser
    [f=0012729] Error: 0x6a2f0000	AVRT
    [f=0012729] Error: 0x64720000	AUDIOSES
    [f=0012729] Error: 0x6a2b0000	midimap
    [f=0012729] Error: 0x66270000	atiglpxx
    [f=0012729] Error: 0x56370000	atioglxx
    [f=0012729] Error: 0x5dbd0000	atiadlxy
    [f=0012729] Error: 0x74f00000	WTSAPI32
    [f=0012729] Error: 0x761c0000	PSAPI
    [f=0012729] Error: 0x729d0000	IPHLPAPI
    [f=0012729] Error: 0x729c0000	WINNSI
    [f=0012729] Error: 0x766d0000	WINTRUST
    [f=0012729] Error: 0x760a0000	CRYPT32
    [f=0012729] Error: 0x75e80000	MSASN1
    [f=0012729] Error: 0x63d00000	aticfx32
    [f=0012729] Error: 0x5e2a0000	atigktxx
    [f=0012729] Error: 0x5e270000	DINPUT
    [f=0012729] Error: 0x72bf0000	HID
    [f=0012729] Error: 0x70cb0000	mswsock
    [f=0012729] Error: 0x70ca0000	wship6
    [f=0012729] Error: 0x70c70000	wshtcpip
    [f=0012729] Error: 0x62b40000	AIInterface
    [f=0012729] Error: 0x62fc0000	SkirmishAI
    [f=0012729] Error: 0x6ea50000	dbghelp
    [f=0012729] Error: Exception: Access violation (0xc0000005)
    [f=0012729] Error: Exception Address: 0x0069d16f
    [f=0012729] Error: Stacktrace:
    [f=0012729] Statistics for RectangleOptimizer: 0%
    [f=0012729] Red_UI_Framework>> last processed widget was "Red Tooltip"
    [f=0012729] Red_Drawing>> last processed widget was "Red Tooltip"
    [f=0012729] [CCollisionHandler] dis-/continuous tests: 0/16015142
    [f=0012729] Path cache hits 63 42%
    [f=0012729] Path cache hits 154 23%
    [f=0012729] Statistics for RectangleOptimizer: 0%
    [f=0012729] Statistics for RectangleOptimizer: 0%
    [f=0012729] Statistics for local connection:
    Received: 31832 bytes
    Sent: 145916 bytes
    
    Error: Spring: Unhandled exception Spring has crashed:
      Access violation.
    
    A stacktrace has been written to:
      C:\Program Files (x86)\Spring\infolog.txt
    
    txt file icon infolog.txt (40,727 bytes) 2013-10-15 09:07 +
  • ? file icon test.lua (280 bytes) 2013-10-16 23:41

-Relationships
related to 0004173resolvedKloot [f=0012565] Error: [Watchdog::ClearTimer] Invalid thread 4 
+Relationships

-Notes

~0011782

TheFatController (reporter)

Could be this cause which I worked around in BA: http://springrts.com/phpbb/viewtopic.php?p=544323#p544323

~0011783

Kloot (developer)

cannot reproduce on my system with 5-button mouse, need a clean stacktrace

~0011784

abma (administrator)

do you have any tool installed that does something on mouse button 5? something teamspeak like? i'm pretty sure this is the cause...

~0011785

abma (administrator)

Last edited: 2013-10-15 14:07

View 2 revisions

http://springrts.com/phpbb/viewtopic.php?f=11&t=30625

oops, read the topic, it seems to be not TS, its a engine bug it seems.

~0011786

abma (administrator)

Last edited: 2013-10-15 14:30

View 2 revisions

infolog.txt is 94.1

"Calling Spring.GetDefaultCommand inside widget:MousePress causes Spring to crash with additional mouse buttons (clickin mouse 4 while moving the scrollwheel crashed 100% of the time for me)"

~0011820

TheFatController (reporter)

Attached test.lua, this crashes it for me as described above, definitely recreatable.

More recent stack trace:

[f=0000000] GameID: 9f075f52abe72b6ccfbf89611cdf4421
[f=0002155] Error: Spring 94.1.1-1373-g1120427 develop has crashed.
[f=0002155] Error: DLL information:
[f=0002155] Error: 0x00400000 spring
[f=0002155] Error: 0x77950000 ntdll
[f=0002155] Error: 0x76e30000 kernel32
[f=0002155] Error: 0x77230000 KERNELBASE
[f=0002155] Error: 0x76440000 ADVAPI32
[f=0002155] Error: 0x761c0000 msvcrt
[f=0002155] Error: 0x768b0000 sechost
[f=0002155] Error: 0x77140000 RPCRT4
[f=0002155] Error: 0x753a0000 SspiCli
[f=0002155] Error: 0x75390000 CRYPTBASE
[f=0002155] Error: 0x6be80000 GLU32
[f=0002155] Error: 0x6a320000 OPENGL32
[f=0002155] Error: 0x774c0000 GDI32
[f=0002155] Error: 0x76340000 USER32
[f=0002155] Error: 0x77920000 LPK
[f=0002155] Error: 0x766b0000 USP10
[f=0002155] Error: 0x6a230000 DDRAW
[f=0002155] Error: 0x6bed0000 DCIMAN32
[f=0002155] Error: 0x76ba0000 SETUPAPI
[f=0002155] Error: 0x76d70000 CFGMGR32
[f=0002155] Error: 0x772f0000 OLEAUT32
[f=0002155] Error: 0x769d0000 ole32
[f=0002155] Error: 0x76880000 DEVOBJ
[f=0002155] Error: 0x723a0000 dwmapi
[f=0002155] Error: 0x76d40000 IMAGEHLP
[f=0002155] Error: 0x754e0000 SHELL32
[f=0002155] Error: 0x75480000 SHLWAPI
[f=0002155] Error: 0x72440000 WINMM
[f=0002155] Error: 0x772b0000 WS2_32
[f=0002155] Error: 0x75470000 NSI
[f=0002155] Error: 0x10000000 DevIL
[f=0002155] Error: 0x746e0000 MSVCP80
[f=0002155] Error: 0x74930000 MSVCR80
[f=0002155] Error: 0x6b600000 OpenAL32
[f=0002155] Error: 0x70780000 vorbisfile
[f=0002155] Error: 0x68140000 ogg
[f=0002155] Error: 0x64cc0000 vorbis
[f=0002155] Error: 0x62e80000 zlib1
[f=0002155] Error: 0x66fc0000 freetype6
[f=0002155] Error: 0x62aa0000 glew32
[f=0002155] Error: 0x00330000 SDL
[f=0002155] Error: 0x7c340000 MSVCR71
[f=0002155] Error: 0x75400000 IMM32
[f=0002155] Error: 0x76270000 MSCTF
[f=0002155] Error: 0x701c0000 dsound
[f=0002155] Error: 0x706d0000 POWRPROF
[f=0002155] Error: 0x768d0000 CLBCatQ
[f=0002155] Error: 0x73e70000 MMDevApi
[f=0002155] Error: 0x717f0000 PROPSYS
[f=0002155] Error: 0x70160000 wdmaud
[f=0002155] Error: 0x72870000 ksuser
[f=0002155] Error: 0x740b0000 AVRT
[f=0002155] Error: 0x71fa0000 AUDIOSES
[f=0002155] Error: 0x71f60000 msacm32
[f=0002155] Error: 0x72410000 MSACM32
[f=0002155] Error: 0x72100000 midimap
[f=0002155] Error: 0x71110000 nvapi
[f=0002155] Error: 0x752c0000 VERSION
[f=0002155] Error: 0x723c0000 profapi
[f=0002155] Error: 0x72480000 uxtheme
[f=0002155] Error: 0x06e50000 nvoglv32
[f=0002155] Error: 0x77280000 WINTRUST
[f=0002155] Error: 0x76750000 CRYPT32
[f=0002155] Error: 0x76960000 MSASN1
[f=0002155] Error: 0x75230000 ntmarta
[f=0002155] Error: 0x76b50000 WLDAP32
[f=0002155] Error: 0x6be50000 DINPUT
[f=0002155] Error: 0x727d0000 HID
[f=0002155] Error: 0x73f00000 dbghelp
[f=0002155] Error: Exception: Access violation (0xc0000005)
[f=0002155] Error: Exception Address: 0x007219a5
[f=0002155] Error: Stacktrace:
[f=0002155] Error: (0) C:\Games\spring-dev\spring.exe [0x007219A5]

Just FYI my mouse is http://www.sharkoon.com/?q=en/node/2194 (it's actually a pretty decent cheap gaming mouse despite the dragon scales :p)

~0011824

jK (developer)

run spring in gdb (+download debugfiles) to get a decent stacktrace

~0011825

Leggir (reporter)

Yes I've verified the article's finding. Disabling the BA Waypoint Tracker has eliminated the bug.

Thanks.

~0011893

abma (administrator)

0x007219A5
/home/buildbot/slave/full-windows-test/build/build/default/../../rts/Sim/Misc/CollisionHandler.cpp:599

~0011896

Kloot (developer)

Last edited: 2013-10-29 21:28

View 2 revisions

neither that line nor any of the surrounding ones look crashable, and they have nothing to do with *button press* events...

~0011897

abma (administrator)

Last edited: 2013-10-29 21:37

View 2 revisions

test.lua doesn't trigger the crash for me... maybe related to 0004091

~0012055

abma (administrator)

Last edited: 2013-11-11 15:32

View 2 revisions

"there seems to be a problem with scrollwheelbutton
i pressed it and it crashed
linebombcommand + scrollwheelbutton"

was in game "Tech Annihilation v2.23"

~0012056

abma (administrator)

more info needed for this crash:

a clean stacktrace or a way to reproduce it on linux.

~0012057

jK (developer)

Last edited: 2013-11-11 15:35

View 3 revisions

If there isn't a decent stacktrace during the next week, I will close the ticket.

cause
-> there are ppl you can easily trigger the crash and I told what to do, but none ever did so -> close ticket

~0012058

abma (administrator)

Last edited: 2013-11-11 15:51

View 3 revisions

ug, i can reproduce it on windows:

build two bombers in "Tech Annihilation v2.23"

select them, press attack,

hold CTRL+ALT, click and hold mouse 1 to draw a line, then press middle mouse button. game 100% hangs, after a while -> crash



but not sure if this is the same as the initial report.

edit: yep, crashes because out of memory, but it tooks a while until it hits the 4GB (?) limit on windows

~0012062

abma (administrator)

can't reproduce on linux as the same key combinations only cause a area attack command and not a bombing line as on windows.

-> maybe related to 0004091

~0012064

jK (developer)

> -> maybe related to 0004091
no

~0012065

abma (administrator)

Last edited: 2013-11-11 16:10

View 2 revisions

note: any additional press of a mouse-button leads to the hang + OOM.


related because it can't be reproduced on linux because mouse / input handling seems different on windows.

~0012239

abma (administrator)

Last edited: 2013-11-28 13:03

View 2 revisions

couldn't get a proper stacktrace on linux, but now i can reproduce it on linux:

(gdb) bt
#0 0x0000000000dd1678 in luaV_execute (L=0xca6fe90, nexeccalls=1) at rts/lib/lua/src/lvm.cpp:451
#1 0x0000000000dbdbab in luaD_call (L=0xca6fe90, func=0xfdb68f0, nResults=0)
    at rts/lib/lua/src/ldo.cpp:378
#2 0x0000000000db53d3 in f_call (L=0xca6fe90, ud=0x7fffffffcf60) at rts/lib/lua/src/lapi.cpp:812
0000003 0x0000000000dbcc29 in luaD_rawrunprotected (L=0xca6fe90,
    f=0xdb539e <f_call(lua_State*, void*)>, ud=0x7fffffffcf60) at rts/lib/lua/src/ldo.cpp:116
0000004 0x0000000000dbdfb6 in luaD_pcall (L=0xca6fe90, func=0xdb539e <f_call(lua_State*, void*)>,
    u=0x7fffffffcf60, old_top=768, ef=0) at rts/lib/lua/src/ldo.cpp:464
0000005 0x0000000000db5484 in lua_pcall (L=0xca6fe90, nargs=0, nresults=0, errfunc=0)
    at rts/lib/lua/src/lapi.cpp:833
#6 0x0000000000759e2b in LuaOpenGL::BeginEnd (L=0xca6fe90) at rts/Lua/LuaOpenGL.cpp:1930
#7 0x0000000000dbd8e5 in luaD_precall (L=0xca6fe90, func=0xfdb68d0, nresults=0)
    at rts/lib/lua/src/ldo.cpp:320
#8 0x0000000000dd2ed6 in luaV_execute (L=0xca6fe90, nexeccalls=3) at rts/lib/lua/src/lvm.cpp:613
#9 0x0000000000dbdbab in luaD_call (L=0xca6fe90, func=0xfdb66c0, nResults=-1)
    at rts/lib/lua/src/ldo.cpp:378
0000010 0x0000000000db53d3 in f_call (L=0xca6fe90, ud=0x7fffffffd4d0) at rts/lib/lua/src/lapi.cpp:812
#11 0x0000000000dbcc29 in luaD_rawrunprotected (L=0xca6fe90,
    f=0xdb539e <f_call(lua_State*, void*)>, ud=0x7fffffffd4d0) at rts/lib/lua/src/ldo.cpp:116
0000012 0x0000000000dbdfb6 in luaD_pcall (L=0xca6fe90, func=0xdb539e <f_call(lua_State*, void*)>,
    u=0x7fffffffd4d0, old_top=208, ef=0) at rts/lib/lua/src/ldo.cpp:464
0000013 0x0000000000db5484 in lua_pcall (L=0xca6fe90, nargs=1, nresults=-1, errfunc=0)
    at rts/lib/lua/src/lapi.cpp:833
0000014 0x0000000000db8b27 in luaB_pcall (L=0xca6fe90) at rts/lib/lua/src/lbaselib.cpp:377
---Type <return> to continue, or q <return> to quit---
#15 0x0000000000dbd8e5 in luaD_precall (L=0xca6fe90, func=0xfdb66b0, nresults=-1)
    at rts/lib/lua/src/ldo.cpp:320
#16 0x0000000000dd2ed6 in luaV_execute (L=0xca6fe90, nexeccalls=2) at rts/lib/lua/src/lvm.cpp:613
#17 0x0000000000dbdbab in luaD_call (L=0xca6fe90, func=0xfdb6600, nResults=0)
    at rts/lib/lua/src/ldo.cpp:378
#18 0x0000000000db53d3 in f_call (L=0xca6fe90, ud=0x7fffffffda40) at rts/lib/lua/src/lapi.cpp:812
#19 0x0000000000dbcc29 in luaD_rawrunprotected (L=0xca6fe90,
    f=0xdb539e <f_call(lua_State*, void*)>, ud=0x7fffffffda40) at rts/lib/lua/src/ldo.cpp:116
0000020 0x0000000000dbdfb6 in luaD_pcall (L=0xca6fe90, func=0xdb539e <f_call(lua_State*, void*)>,
    u=0x7fffffffda40, old_top=16, ef=0) at rts/lib/lua/src/ldo.cpp:464
#21 0x0000000000db5484 in lua_pcall (L=0xca6fe90, nargs=0, nresults=0, errfunc=0)
    at rts/lib/lua/src/lapi.cpp:833
#22 0x0000000000730a29 in CLuaHandle::ScopedLuaCall::ScopedLuaCall (this=0x7fffffffdb40,
    handle=0xca6b680, state=0xca6fe90, func=0x18f3a40 <CLuaHandle::DrawWorld()::cmdStr>,
    _nInArgs=0, _nOutArgs=0, _errFuncIdx=0, _popErrFunc=false) at rts/Lua/LuaHandle.cpp:453
#23 0x0000000000730e58 in CLuaHandle::RunCallInTraceback (this=0xca6b680,
    hs=0x18f3a40 <CLuaHandle::DrawWorld()::cmdStr>, inArgs=0, outArgs=0, errFuncIndex=0,
    tracebackMsg=..., popErrorFunc=false) at rts/Lua/LuaHandle.cpp:519
0000024 0x0000000000730f1e in CLuaHandle::RunCallInTraceback (this=0xca6b680, hs=..., inArgs=0,
    outArgs=0, errFuncIndex=0, popErrFunc=false) at rts/Lua/LuaHandle.cpp:529
#25 0x00000000007406ba in CLuaHandle::RunCallIn (this=0xca6b680, hs=..., inArgs=0, outArgs=0)
    at rts/Lua/LuaHandle.h:425
0000026 0x00000000007406fe in CLuaHandle::RunCallInUnsynced (this=0xca6b680, hs=..., inArgs=0,
    outArgs=0) at rts/Lua/LuaHandle.h:432
---Type <return> to continue, or q <return> to quit---
0000027 0x0000000000739490 in CLuaHandle::DrawWorld (this=0xca6b680) at rts/Lua/LuaHandle.cpp:2112
#28 0x0000000000c3ade0 in CEventHandler::DrawWorld (this=0x1943940 <eventHandler>)
    at rts/System/EventHandler.cpp:414
0000029 0x00000000009c04dd in CWorldDrawer::Draw (this=0x55f6020) at rts/Rendering/WorldDrawer.cpp:213
#30 0x000000000059bbb4 in CGame::Draw (this=0x22a1970) at rts/Game/Game.cpp:1288
#31 0x0000000000c85e37 in SpringApp::Update (this=0x7fffffffe280) at rts/System/SpringApp.cpp:966
#32 0x0000000000c86092 in SpringApp::Run (this=0x7fffffffe280) at rts/System/SpringApp.cpp:1043
#33 0x0000000000c566a6 in Run (argc=1, argv=0x7fffffffe458) at rts/System/Main.cpp:64
0000034 0x0000000000c56d95 in main (argc=1, argv=0x7fffffffe458) at rts/System/Main.cpp:123

BIG FAT NOTE: it doesn't crash, its an endless loop

it crashes because OOM as it allocates memory in the loop.

~0012240

abma (administrator)

a few seconds later the same:

(gdb) bt
#0 0x0000000000744244 in std::_Rb_tree<unsigned int, std::pair<unsigned int const, int>, std::_Select1st<std::pair<unsigned int const, int> >, std::less<unsigned int>, std::allocator<std::pair<unsigned int const, int> > >::_S_value (__x=0x8a3c980) at /usr/include/c++/4.8/bits/stl_tree.h:521
#1 0x00000000007433ad in std::_Rb_tree<unsigned int, std::pair<unsigned int const, int>, std::_Select1st<std::pair<unsigned int const, int> >, std::less<unsigned int>, std::allocator<std::pair<unsigned int const, int> > >::_S_key (__x=0x8a3c980) at /usr/include/c++/4.8/bits/stl_tree.h:525
#2 0x0000000000763466 in std::_Rb_tree<unsigned int, std::pair<unsigned int const, int>, std::_Select1st<std::pair<unsigned int const, int> >, std::less<unsigned int>, std::allocator<std::pair<unsigned int const, int> > >::_M_emplace_hint_unique<std::piecewise_construct_t const&, std::tuple<unsigned int const&>, std::tuple<> >(std::_Rb_tree_const_iterator<std::pair<unsigned int const, int> >, std::piecewise_construct_t const&, std::tuple<unsigned int const&>&&, std::tuple<>&&) (
    this=0xca6b800, __pos=...) at /usr/include/c++/4.8/bits/stl_tree.h:1673
0000003 0x0000000000762d16 in std::map<unsigned int, int, std::less<unsigned int>, std::allocator<std::pair<unsigned int const, int> > >::operator[] (this=0xca6b800, __k=@0x7fffffffcf68: 5888)
    at /usr/include/c++/4.8/bits/stl_map.h:465
0000004 0x0000000000762565 in GLMatrixStateTracker::PushMatrix (this=0xca6b800)
    at rts/Lua/LuaContextData.h:64
0000005 0x000000000075fc32 in LuaOpenGL::PushMatrix (L=0xca6fe90) at rts/Lua/LuaOpenGL.cpp:3805
#6 0x0000000000dbd8e5 in luaD_precall (L=0xca6fe90, func=0xfdb68d0, nresults=0)
    at rts/lib/lua/src/ldo.cpp:320
#7 0x0000000000dd2ed6 in luaV_execute (L=0xca6fe90, nexeccalls=3) at rts/lib/lua/src/lvm.cpp:613
#8 0x0000000000dbdbab in luaD_call (L=0xca6fe90, func=0xfdb66c0, nResults=-1)
    at rts/lib/lua/src/ldo.cpp:378
#9 0x0000000000db53d3 in f_call (L=0xca6fe90, ud=0x7fffffffd4d0) at rts/lib/lua/src/lapi.cpp:812
---Type <return> to continue, or q <return> to quit---
0000010 0x0000000000dbcc29 in luaD_rawrunprotected (L=0xca6fe90,
    f=0xdb539e <f_call(lua_State*, void*)>, ud=0x7fffffffd4d0) at rts/lib/lua/src/ldo.cpp:116
#11 0x0000000000dbdfb6 in luaD_pcall (L=0xca6fe90, func=0xdb539e <f_call(lua_State*, void*)>,
    u=0x7fffffffd4d0, old_top=208, ef=0) at rts/lib/lua/src/ldo.cpp:464
0000012 0x0000000000db5484 in lua_pcall (L=0xca6fe90, nargs=1, nresults=-1, errfunc=0)
    at rts/lib/lua/src/lapi.cpp:833
0000013 0x0000000000db8b27 in luaB_pcall (L=0xca6fe90) at rts/lib/lua/src/lbaselib.cpp:377
0000014 0x0000000000dbd8e5 in luaD_precall (L=0xca6fe90, func=0xfdb66b0, nresults=-1)
    at rts/lib/lua/src/ldo.cpp:320
#15 0x0000000000dd2ed6 in luaV_execute (L=0xca6fe90, nexeccalls=2) at rts/lib/lua/src/lvm.cpp:613
#16 0x0000000000dbdbab in luaD_call (L=0xca6fe90, func=0xfdb6600, nResults=0)
    at rts/lib/lua/src/ldo.cpp:378
#17 0x0000000000db53d3 in f_call (L=0xca6fe90, ud=0x7fffffffda40) at rts/lib/lua/src/lapi.cpp:812
#18 0x0000000000dbcc29 in luaD_rawrunprotected (L=0xca6fe90,
    f=0xdb539e <f_call(lua_State*, void*)>, ud=0x7fffffffda40) at rts/lib/lua/src/ldo.cpp:116
#19 0x0000000000dbdfb6 in luaD_pcall (L=0xca6fe90, func=0xdb539e <f_call(lua_State*, void*)>,
    u=0x7fffffffda40, old_top=16, ef=0) at rts/lib/lua/src/ldo.cpp:464
0000020 0x0000000000db5484 in lua_pcall (L=0xca6fe90, nargs=0, nresults=0, errfunc=0)
    at rts/lib/lua/src/lapi.cpp:833
#21 0x0000000000730a29 in CLuaHandle::ScopedLuaCall::ScopedLuaCall (this=0x7fffffffdb40,
    handle=0xca6b680, state=0xca6fe90, func=0x18f3a40 <CLuaHandle::DrawWorld()::cmdStr>,
    _nInArgs=0, _nOutArgs=0, _errFuncIdx=0, _popErrFunc=false) at rts/Lua/LuaHandle.cpp:453
#22 0x0000000000730e58 in CLuaHandle::RunCallInTraceback (this=0xca6b680,
    hs=0x18f3a40 <CLuaHandle::DrawWorld()::cmdStr>, inArgs=0, outArgs=0, errFuncIndex=0,
---Type <return> to continue, or q <return> to quit---
    tracebackMsg=..., popErrorFunc=false) at rts/Lua/LuaHandle.cpp:519
#23 0x0000000000730f1e in CLuaHandle::RunCallInTraceback (this=0xca6b680, hs=..., inArgs=0,
    outArgs=0, errFuncIndex=0, popErrFunc=false) at rts/Lua/LuaHandle.cpp:529
0000024 0x00000000007406ba in CLuaHandle::RunCallIn (this=0xca6b680, hs=..., inArgs=0, outArgs=0)
    at rts/Lua/LuaHandle.h:425
#25 0x00000000007406fe in CLuaHandle::RunCallInUnsynced (this=0xca6b680, hs=..., inArgs=0,
    outArgs=0) at rts/Lua/LuaHandle.h:432
0000026 0x0000000000739490 in CLuaHandle::DrawWorld (this=0xca6b680) at rts/Lua/LuaHandle.cpp:2112
0000027 0x0000000000c3ade0 in CEventHandler::DrawWorld (this=0x1943940 <eventHandler>)
    at rts/System/EventHandler.cpp:414
#28 0x00000000009c04dd in CWorldDrawer::Draw (this=0x55f6020) at rts/Rendering/WorldDrawer.cpp:213
0000029 0x000000000059bbb4 in CGame::Draw (this=0x22a1970) at rts/Game/Game.cpp:1288
#30 0x0000000000c85e37 in SpringApp::Update (this=0x7fffffffe280) at rts/System/SpringApp.cpp:966
#31 0x0000000000c86092 in SpringApp::Run (this=0x7fffffffe280) at rts/System/SpringApp.cpp:1043
#32 0x0000000000c566a6 in Run (argc=1, argv=0x7fffffffe458) at rts/System/Main.cpp:64
#33 0x0000000000c56d95 in main (argc=1, argv=0x7fffffffe458) at rts/System/Main.cpp:123

~0012241

abma (administrator)

can be reproduced in BA 7.84 with building two bombers, selecting bombers, then press:

a
hold CTRL+ALT
drag a line with left mouse button but hold mouse button
then press an additional mouse button

doesn't work always because sometimes shows an area attack command, sometimes a bomb line command (this is when it crashes when pressing the additional mouse button).

i don't (yet) understand when it shows area attack and when attack line.

~0012242

abma (administrator)

ahhh, maybe the window manager conflicts by captureing ALT, not sure.

this is how it always works:

press and hold CTRL. then with a short delay press and hold ALT

~0012246

Kloot (developer)

Last edited: 2013-11-28 14:36

View 4 revisions

can reproduce it now

1) select N>1 bombers
2) press 'a', then press and hold ALT
3) drag line with LMB but do NOT release LMB
4) press RMB

~0012247

Kloot (developer)

infinite loop is inside unit_customformations2.lua:DrawFormationDots

~0012248

Kloot (developer)

when pressing RMB, the variable 'lineLength' at the top of DrawFormationDots becomes 0 --> 'lengthPerUnit' becomes 0 --> the innermost 'while (currentLength + length >= lengthUnitNext) do' loop never terminates --> not our problem

~0012250

silentwings (reporter)

Last edited: 2013-11-28 15:39

View 5 revisions

Yes, just debugged it and found the exact same thing.

This is 100% a widget bug, I'll fix it. Is there any way to tell which widget is stuck in an infinite loop? If you hadn't said it above, I'd never have found it.

fix: http://imolarpg.dyndns.org/trac/balatest/changeset/1889

~0012251

Kloot (developer)

Last edited: 2013-11-28 15:32

View 3 revisions

From the engine side it is only possible to tell which callin is misbehaving.

On the Lua side the nugget (new official term) handlers can then log the specific widget/gadget for which that callin doesn't return.

~0012252

silentwings (reporter)

Last edited: 2013-11-28 15:39

View 2 revisions

oh, that would be cool, where are those nugget handlers kept?

~0012258

Kloot (developer)

widgets.lua & gadgets.lua ;)

Anyway, marking as fixed since the first half of this report was about "calling Spring.GetDefaultCommand inside widget:MousePress causes Spring to crash" which I could never reproduce and BA has worked around and the second half is no longer relevant.
+Notes

-Issue History
Date Modified Username Field Change
2013-10-15 09:07 Leggir New Issue
2013-10-15 09:07 Leggir File Added: infolog.txt
2013-10-15 12:44 TheFatController Note Added: 0011782
2013-10-15 13:39 Kloot Note Added: 0011783
2013-10-15 14:03 abma Note Added: 0011784
2013-10-15 14:03 abma Status new => feedback
2013-10-15 14:05 abma Note Added: 0011785
2013-10-15 14:07 abma Note Edited: 0011785 View Revisions
2013-10-15 14:29 abma Note Added: 0011786
2013-10-15 14:29 abma Product Version 94.1.1+git => 94.1
2013-10-15 14:30 abma Note Edited: 0011786 View Revisions
2013-10-16 23:41 TheFatController File Added: test.lua
2013-10-16 23:44 TheFatController Note Added: 0011820
2013-10-17 00:28 jK Note Added: 0011824
2013-10-17 07:48 Leggir Note Added: 0011825
2013-10-17 07:48 Leggir Status feedback => new
2013-10-29 21:03 abma Note Added: 0011893
2013-10-29 21:28 Kloot Note Added: 0011896
2013-10-29 21:28 Kloot Note Edited: 0011896 View Revisions
2013-10-29 21:32 abma Note Added: 0011897
2013-10-29 21:37 abma Note Edited: 0011897 View Revisions
2013-11-11 15:32 abma Note Added: 0012055
2013-11-11 15:32 abma Product Version 94.1 => 95.0
2013-11-11 15:32 abma Note Edited: 0012055 View Revisions
2013-11-11 15:34 abma Note Added: 0012056
2013-11-11 15:34 abma Assigned To => abma
2013-11-11 15:34 abma Status new => feedback
2013-11-11 15:34 jK Note Added: 0012057
2013-11-11 15:35 jK Note Edited: 0012057 View Revisions
2013-11-11 15:35 jK Note Edited: 0012057 View Revisions
2013-11-11 15:47 abma Note Added: 0012058
2013-11-11 15:49 abma Note Edited: 0012058 View Revisions
2013-11-11 15:51 abma Note Edited: 0012058 View Revisions
2013-11-11 15:58 abma Note Added: 0012062
2013-11-11 16:01 abma Status feedback => new
2013-11-11 16:01 abma Target Version => 96.0
2013-11-11 16:03 jK Note Added: 0012064
2013-11-11 16:09 abma Note Added: 0012065
2013-11-11 16:10 abma Note Edited: 0012065 View Revisions
2013-11-18 05:09 abma Assigned To abma =>
2013-11-28 13:02 abma Note Added: 0012239
2013-11-28 13:03 abma Note Edited: 0012239 View Revisions
2013-11-28 13:04 abma Note Added: 0012240
2013-11-28 13:05 abma Summary Hitting side buttons on mouse causes crash. => Hitting side buttons on mouse causes OOM after some time
2013-11-28 13:15 abma Note Added: 0012241
2013-11-28 13:17 abma Note Added: 0012242
2013-11-28 13:18 abma Relationship added related to 0004173
2013-11-28 14:32 Kloot Note Added: 0012246
2013-11-28 14:34 Kloot Note Edited: 0012246 View Revisions
2013-11-28 14:35 Kloot Note Edited: 0012246 View Revisions
2013-11-28 14:36 Kloot Note Edited: 0012246 View Revisions
2013-11-28 14:48 Kloot Note Added: 0012247
2013-11-28 14:57 Kloot Note Added: 0012248
2013-11-28 15:09 silentwings Note Added: 0012250
2013-11-28 15:09 silentwings Note Edited: 0012250 View Revisions
2013-11-28 15:09 silentwings Note Edited: 0012250 View Revisions
2013-11-28 15:10 silentwings Note Edited: 0012250 View Revisions
2013-11-28 15:30 Kloot Note Added: 0012251
2013-11-28 15:30 Kloot Note Edited: 0012251 View Revisions
2013-11-28 15:32 Kloot Note Edited: 0012251 View Revisions
2013-11-28 15:39 silentwings Note Added: 0012252
2013-11-28 15:39 silentwings Note Edited: 0012250 View Revisions
2013-11-28 15:39 silentwings Note Edited: 0012252 View Revisions
2013-11-28 19:46 Kloot Note Added: 0012258
2013-11-28 19:46 Kloot Status new => resolved
2013-11-28 19:46 Kloot Resolution open => fixed
2013-11-28 19:46 Kloot Assigned To => Kloot
+Issue History